import { PropType } from 'vue';
import { EditFrameDataSource, EditButtonTypes } from '@sitecore-jss/sitecore-jss/editing';
import { RouteData } from '@sitecore-jss/sitecore-jss/layout';
export declare const EditFrame: import("@vue/runtime-core").DefineComponent<import("@vue/runtime-core").ExtractPropTypes<{
    dataSource: {
        type: PropType<EditFrameDataSource>;
        default: any;
    };
    buttons: {
        type: PropType<EditButtonTypes[]>;
        default: any;
    };
    title: {
        type: StringConstructor;
        default: any;
    };
    tooltip: {
        type: StringConstructor;
        default: any;
    };
    cssClass: {
        type: StringConstructor;
        default: any;
    };
    parameters: {
        type: PropType<Record<string, string | number | boolean | undefined | null>>;
        default: any;
    };
    context: {
        type: ObjectConstructor;
        default: any;
    };
    routeData: {
        type: () => RouteData;
        default: any;
    };
}>, {}, {}, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    dataSource: {
        type: PropType<EditFrameDataSource>;
        default: any;
    };
    buttons: {
        type: PropType<EditButtonTypes[]>;
        default: any;
    };
    title: {
        type: StringConstructor;
        default: any;
    };
    tooltip: {
        type: StringConstructor;
        default: any;
    };
    cssClass: {
        type: StringConstructor;
        default: any;
    };
    parameters: {
        type: PropType<Record<string, string | number | boolean | undefined | null>>;
        default: any;
    };
    context: {
        type: ObjectConstructor;
        default: any;
    };
    routeData: {
        type: () => RouteData;
        default: any;
    };
}>> & Readonly<{}>, {
    buttons: EditButtonTypes[];
    title: string;
    parameters: Record<string, string | number | boolean>;
    tooltip: string;
    dataSource: EditFrameDataSource;
    cssClass: string;
    context: Record<string, any>;
    routeData: RouteData<Record<string, import("@sitecore-jss/sitecore-jss/layout").Field<import("@sitecore-jss/sitecore-jss/layout").GenericFieldValue> | import("@sitecore-jss/sitecore-jss/layout").Item | import("@sitecore-jss/sitecore-jss/layout").Item[]>>;
}, {}, {}, {}, string, import("@vue/runtime-core").ComponentProvideOptions, true, {}, any>;
