import { ComponentRendering, RouteData, Field, Item } from '@sitecore-jss/sitecore-jss/layout';
import { PlaceholderProps } from './PlaceholderCommon';
import { ComponentFactory } from './sharedTypes';
export { PlaceholderProps };
export declare const Placeholder: import("@vue/runtime-core").DefineComponent<import("@vue/runtime-core").ExtractPropTypes<{
    name: {
        type: StringConstructor;
        required: true;
    };
    rendering: {
        type: () => ComponentRendering | RouteData;
        required: true;
    };
    componentFactory: {
        type: () => ComponentFactory;
        default: any;
    };
    fields: {
        type: () => {
            [name: string]: Field | Item[];
        };
        default: any;
    };
    params: {
        type: () => {
            [name: string]: string;
        };
        default: any;
    };
    missingComponentComponent: {
        type: ObjectConstructor;
        default: any;
    };
    hiddenRenderingComponent: {
        type: ObjectConstructor;
        default: any;
    };
    errorComponent: {
        type: ObjectConstructor;
        default: any;
    };
}>, (() => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>) | (() => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>[]), {}, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    name: {
        type: StringConstructor;
        required: true;
    };
    rendering: {
        type: () => ComponentRendering | RouteData;
        required: true;
    };
    componentFactory: {
        type: () => ComponentFactory;
        default: any;
    };
    fields: {
        type: () => {
            [name: string]: Field | Item[];
        };
        default: any;
    };
    params: {
        type: () => {
            [name: string]: string;
        };
        default: any;
    };
    missingComponentComponent: {
        type: ObjectConstructor;
        default: any;
    };
    hiddenRenderingComponent: {
        type: ObjectConstructor;
        default: any;
    };
    errorComponent: {
        type: ObjectConstructor;
        default: any;
    };
}>> & Readonly<{}>, {
    fields: {
        [name: string]: Field<import("@sitecore-jss/sitecore-jss/layout").GenericFieldValue> | Item[];
    };
    params: {
        [name: string]: string;
    };
    componentFactory: ComponentFactory;
    missingComponentComponent: Record<string, any>;
    hiddenRenderingComponent: Record<string, any>;
    errorComponent: Record<string, any>;
}, {}, {}, {}, string, import("@vue/runtime-core").ComponentProvideOptions, true, {}, any>;
